﻿using System;
using Ozeki.MediaGateway.Config;
using Ozeki.VoIP.SDK.Protection;

namespace ChatGatewaySample
{
    class Program
    {
        static void Main(string[] args)
        {
            MediaGatewayConfig mediaConfig = new MediaGatewayConfig();
            //mediaConfig.AddConfigElement(new SilverlightConfig());
            mediaConfig.AddConfigElement(new FlashConfig());

            var mediaGateway = new ChatGateway(mediaConfig);
            mediaGateway.Start();
            Console.WriteLine("Remaining days: {0}", LicenseManager.Instance.RemainingDays);
            Console.WriteLine("Max Flash client {0}", LicenseManager.Instance.MaxFlashClient);
            Console.WriteLine("Video chat service Started!");
            Console.WriteLine("Press enter to shut down service and exit.\n\n");
            Console.ReadLine();
        }
    }
}
